Pavel_47
Posts: 97
Joined: Mon Jun 12, 2017 8:34 am
Location: Switzerland

Re: Cannot upgrade RPi4

Thu Jan 23, 2020 10:54 pm

You mean reflash SD and do all the steps I did before (e.g. make upgrade of about 600Mb) ?

User avatar
Imperf3kt
Posts: 3202
Joined: Tue Jun 20, 2017 12:16 am
Location: Australia

Re: Cannot upgrade RPi4

Thu Jan 23, 2020 10:58 pm

Yes, as you cannot be sure what someone who might have accessed your Pi might have done. It is highly likely compromised.

reflashing from a clean install is the only way to be sure nothing that shouldn't be there, isn't.
botnets, crypto miners, viruses, keystroke loggers, just to name a few.
Last edited by Imperf3kt on Thu Jan 23, 2020 11:09 pm, edited 1 time in total.
55:55:44:44:4C
52:4C:52:42:41

Pavel_47
Posts: 97
Joined: Mon Jun 12, 2017 8:34 am
Location: Switzerland

Re: Cannot upgrade RPi4

Thu Jan 23, 2020 11:02 pm

Ok, thanks

User avatar
DougieLawson
Posts: 37069
Joined: Sun Jun 16, 2013 11:19 pm
Location: Basingstoke, UK
Contact: Website Twitter

Re: Cannot upgrade RPi4

Fri Jan 24, 2020 12:24 am

Pavel_47 wrote:
Thu Jan 23, 2020 6:33 pm
Just delete the offending key
How ?
The error message tells you the command you need to enter.
Note: Having anything humorous in your signature is completely banned on this forum. Wear a tin-foil hat and you'll get a ban.

Any DMs sent on Twitter will be answered next month.

This is a doctor free zone.

gkreidl
Posts: 6191
Joined: Thu Jan 26, 2012 1:07 pm
Location: Germany

Re: Cannot upgrade RPi4

Fri Jan 24, 2020 5:15 am

Imperf3kt wrote:
Thu Jan 23, 2020 10:58 pm
Yes, as you cannot be sure what someone who might have accessed your Pi might have done. It is highly likely compromised.

reflashing from a clean install is the only way to be sure nothing that shouldn't be there, isn't.
botnets, crypto miners, viruses, keystroke loggers, just to name a few.
Don't create a panic!
If the OP is behind a router and port 22 has not been forwarded on it, nothing bad could have happened.
Minimal Kiosk Browser (kweb)
Slim, fast webkit browser with support for audio+video+playlists+youtube+pdf+download
Optional fullscreen kiosk mode and command interface for embedded applications
Includes omxplayerGUI, an X front end for omxplayer

Pavel_47
Posts: 97
Joined: Mon Jun 12, 2017 8:34 am
Location: Switzerland

Re: Cannot upgrade RPi4

Fri Jan 24, 2020 9:32 am

After reflashing, changing password and installing aptitude, upgrade works.
Thanks.

jamesh
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 24921
Joined: Sat Jul 30, 2011 7:41 pm

Re: Cannot upgrade RPi4

Fri Jan 24, 2020 9:39 am

Pavel_47 wrote:
Fri Jan 24, 2020 9:32 am
After reflashing, changing password and installing aptitude, upgrade works.
Thanks.
Installing aptitude should not have been necessary. Updates and upgrade should be perfectly possible with apt.
Principal Software Engineer at Raspberry Pi (Trading) Ltd.
Contrary to popular belief, humorous signatures are allowed. Here's an example...
“I own the world’s worst thesaurus. Not only is it awful, it’s awful."

Pavel_47
Posts: 97
Joined: Mon Jun 12, 2017 8:34 am
Location: Switzerland

Re: Cannot upgrade RPi4

Fri Jan 24, 2020 9:59 am

But as I've mentioned at the beginning, upgrade didn't work using apt-get.
Then I was suggested to install aptitude.
And now I see that upgrade works.

jamesh
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 24921
Joined: Sat Jul 30, 2011 7:41 pm

Re: Cannot upgrade RPi4

Fri Jan 24, 2020 10:05 am

Pavel_47 wrote:
Fri Jan 24, 2020 9:59 am
But as I've mentioned at the beginning, upgrade didn't work using apt-get.
Then I was suggested to install aptitude.
And now I see that upgrade works.
But it should work without aptitude. That's the point. And it does appear to work for everyone else.
Principal Software Engineer at Raspberry Pi (Trading) Ltd.
Contrary to popular belief, humorous signatures are allowed. Here's an example...
“I own the world’s worst thesaurus. Not only is it awful, it’s awful."

ShiftPlusOne
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 6164
Joined: Fri Jul 29, 2011 5:36 pm
Location: The unfashionable end of the western spiral arm of the Galaxy

Re: Cannot upgrade RPi4

Fri Jan 24, 2020 1:00 pm

It would've been possible with apt, but it wasn't entirely obvious what was wrong. It would take a lot of back and forth of "what does this command say?". Aptitude is a little smarter in figuring things out on its own and providing different options to resolve issues.

User avatar
Botspot
Posts: 474
Joined: Thu Jan 17, 2019 9:47 pm
Location: Texas

Re: Cannot upgrade RPi4

Fri Jan 24, 2020 1:17 pm

ShiftPlusOne wrote:
Fri Jan 24, 2020 1:00 pm
Aptitude is a little smarter in figuring things out on its own and providing different options to resolve issues.
+1 Exactly why I suggested it.
Ever wanted to run an .img file before flashing it to an SD card?
Or wished you could run Stretch on a Pi 4?
Or wanted to run two versions of Raspbian on a single Pi simultaneously?
You can do all of that, and more, with my Vdesktop script - http://bit.ly/VDESKTOP

Pavel_47
Posts: 97
Joined: Mon Jun 12, 2017 8:34 am
Location: Switzerland

Re: Cannot upgrade RPi4

Fri Jan 24, 2020 2:31 pm

jamesh wrote:
Fri Jan 24, 2020 10:05 am
But it should work without aptitude. That's the point. And it does appear to work for everyone else.
Probably it should, but in my particular case it didn't work. Here what I got before installing aptitude:

[email protected]:~ $ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
vlc-bin : Depends: libvlc-bin (= 3.0.8-0+deb10u1+rpt1) but 3.0.8-0+deb10u1+rpt7 is to be installed
vlc-plugin-skins2 : Depends: vlc-plugin-qt (= 3.0.8-0+deb10u1+rpt7) but 3.0.8-0+deb10u1+rpt1 is to be installed
E: Broken packages


Aptitude installing settled the issue.

User avatar
Imperf3kt
Posts: 3202
Joined: Tue Jun 20, 2017 12:16 am
Location: Australia

Re: Cannot upgrade RPi4

Fri Jan 24, 2020 8:27 pm

gkreidl wrote:
Fri Jan 24, 2020 5:15 am
Imperf3kt wrote:
Thu Jan 23, 2020 10:58 pm
Yes, as you cannot be sure what someone who might have accessed your Pi might have done. It is highly likely compromised.

reflashing from a clean install is the only way to be sure nothing that shouldn't be there, isn't.
botnets, crypto miners, viruses, keystroke loggers, just to name a few.
Don't create a panic!
If the OP is behind a router and port 22 has not been forwarded on it, nothing bad could have happened.
I wasn't trying to. I've never heard that a router will save you from the dangers presented by enabling SSH without changing the default password.
55:55:44:44:4C
52:4C:52:42:41

gkreidl
Posts: 6191
Joined: Thu Jan 26, 2012 1:07 pm
Location: Germany

Re: Cannot upgrade RPi4

Sat Jan 25, 2020 6:28 am

Imperf3kt wrote:
Fri Jan 24, 2020 8:27 pm

I wasn't trying to. I've never heard that a router will save you from the dangers presented by enabling SSH without changing the default password.
You shouldn't spread what you heard but what you understand.

Read about port forwarding and NAT (network address translation).
Minimal Kiosk Browser (kweb)
Slim, fast webkit browser with support for audio+video+playlists+youtube+pdf+download
Optional fullscreen kiosk mode and command interface for embedded applications
Includes omxplayerGUI, an X front end for omxplayer

Return to “Troubleshooting”